# TdApi.MessageWebAppDataReceived (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageWebAppDataReceived

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageWebAppDataReceived

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageWebAppDataReceived

Enclosing class:
  TdApi

public static final class TdApi.MessageWebAppDataReceived extends TdApi.MessageContent
Data from a Web App has been received; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`buttonText`
Text of the keyboardButtonTypeWebApp button, which opened the Web App.
`static final int`
`CONSTRUCTOR`
`String`
`data`
The data.

## Constructor Summary

Constructors
Constructor
Description
`MessageWebAppDataReceived()`
Data from a Web App has been received; for bots only.
`MessageWebAppDataReceived(DataInput input)`
Data from a Web App has been received; for bots only.
`MessageWebAppDataReceived(String buttonText, String data)`
Data from a Web App has been received; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### buttonText

public String buttonText
Text of the keyboardButtonTypeWebApp button, which opened the Web App.

### data

public String data
The data.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageWebAppDataReceived

public MessageWebAppDataReceived()
Data from a Web App has been received; for bots only.

### MessageWebAppDataReceived

public MessageWebAppDataReceived(String buttonText, String data)
Data from a Web App has been received; for bots only.

Parameters:
  `buttonText` - String Text of the keyboardButtonTypeWebApp button, which opened the Web App.
  `data` - String The data.

### MessageWebAppDataReceived

public MessageWebAppDataReceived(DataInput input) throws IOException
Data from a Web App has been received; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`